Package com.omnisci.thrift.server

## Class OmniSci.AsyncProcessor.update_custom_expression<I extends OmniSci.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,​OmniSci.update_custom_expression_args,​Void>
  - - com.omnisci.thrift.server.OmniSci.AsyncProcessor.update_custom_expression<I>

Enclosing class:
  OmniSci.AsyncProcessor<I extends OmniSci.AsyncIface>

    public static class OmniSci.AsyncProcessor.update_custom_expression<I extends OmniSci.AsyncIface>
    extends org.apache.thrift.AsyncProcessFunction<I,​OmniSci.update_custom_expression_args,​Void>

### Constructor Summary

Constructors
`update_custom_expression()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OmniSci.update_custom_expression_args` `getEmptyArgsInstance()`
`org.apache.thrift.async.AsyncMethodCallback<Void>` `getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
`protected boolean` `isOneway()`
`void` `start​(I iface, OmniSci.update_custom_expression_args args, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`

### Methods inherited from class org.apache.thrift.AsyncProcessFunction

`getMethodName, sendResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### update_custom_expression

    public update_custom_expression()

### Method Detail

#### getEmptyArgsInstance

    public OmniSci.update_custom_expression_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.update_custom_expression_args,​Void>`

#### getResultHandler

    public org.apache.thrift.async.AsyncMethodCallback<Void> getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                              int seqid)

Specified by:
  `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.update_custom_expression_args,​Void>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.update_custom_expression_args,​Void>`

#### start

    public void start​(I iface,
                      OmniSci.update_custom_expression_args args,
                      org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
               throws org.apache.thrift.TException

Specified by:
  `start` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.update_custom_expression_args,​Void>`
Throws:
  `org.apache.thrift.TException`